%global beta_or_rc      0
%global actual_release  1
%global svnrevision     51822

Summary:            The PHP MAPI extension by Zarafa
Name:               php53-mapi
Version:            7.1.14
%if %{beta_or_rc}
Release:            0.%{actual_release}.svn%{svnrevision}%{?dist}
%else
Release:            %{actual_release}%{?dist}
%endif
# Red Hat Legal has been advised by email from Zarafa that no license is
# required in order to use the letter string "zarafa" (combined with other
# words) in the package naming, to refer to the software as "Zarafa" to
# indicate its intended purpose, and to modify packages with bug fixes and
# enhancements.
License:            AGPLv3 with exceptions
Group:              Development/Languages
URL:                http://www.zarafa.com/
%if %{beta_or_rc}
Source0:            http://download.zarafa.com/community/beta/7.1/%{version}-%{svnrevision}/sourcecode/zcp-%{version}.tar.gz
%else
Source0:            http://download.zarafa.com/community/final/7.1/%{version}-%{svnrevision}/sourcecode/zcp-%{version}.tar.gz
%endif
Source1:            zarafa.ini

Patch0:             zarafa-7.1.11-rpath.patch

BuildRequires:      bison
BuildRequires:      gcc-c++
BuildRequires:      byacc
BuildRequires:      flex
BuildRequires:      libical-devel >= 0.42
BuildRequires:      libvmime-devel >= 0.9.0, libvmime(api) <= 20120406
BuildRequires:      libxml2-devel
BuildRequires:      mysql-devel >= 4.1
BuildRequires:      ncurses-devel
BuildRequires:      pam-devel
BuildRequires:      php53-devel
BuildRequires:      %{_includedir}/uuid/uuid.h
BuildRequires:      %{_includedir}/curl/curl.h
BuildRequires:      libicu-devel >= 3.4
BuildRequires:      boost141-devel

# Bug: Without mod_ssl, reloading httpd causes core dump
Requires:           mod_ssl
Requires:           php(zend-abi) = %{php_zend_api}, php(api) = %{php_core_api}
Provides:           php-mapi = %{version}-%{release}, php-mapi = %{version}-%{svnrevision}
BuildRoot:          %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The php53-mapi package contains the PHP 5.3 MAPI extension to provide access
to Microsoft MAPI functions while using PHP. Although not all MAPI functions
and interfaces are supported so far, most functions have a PHP counterpart
in this extension. Using this PHP 5.3 MAPI extension, developers can create
e.g. webbased e-mail and calendaring systems and interfaces with existing
PHP projects, using the MAPI functions like a normal MAPI program.

%prep
%setup -q -n zarafa-%{version}
%patch0 -p1 -b .rpath
touch -c -r aclocal.m4.rpath aclocal.m4

%build
export CPPFLAGS="$CPPFLAGS -I%{_includedir}/boost141"
export LDFLAGS="$LDFLAGS -L%{_libdir}/boost141"

%configure \
    --disable-kyotocabinet \
    --with-clucene-lib-prefix= \
    --enable-release \
    --enable-epoll \
    --disable-static

for subdir in common mapi4linux libfreebusy libicalmapi inetmapi php-ext; do
  make -C $subdir %{?_smp_mflags}
done

%install
rm -rf $RPM_BUILD_ROOT
for subdir in mapi4linux libicalmapi inetmapi php-ext; do
  make -C $subdir DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p' install
done

# Install Zarafa specific configuration file for PHP extension
install -D -p -m 644 installer/linux/php-mapi.cfg $RPM_BUILD_ROOT%{_sysconfdir}/zarafa/php-mapi.cfg

# Remove all libtool .la files, unwanted libraries and headers
rm -rf $RPM_BUILD_ROOT{%{_includedir},%{_docdir}}
rm -f $RPM_BUILD_ROOT%{_libdir}/{*.{la,so*},php/modules/*.la}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc installer/licenseagreement/AGPL-3
%config(noreplace) %{_sysconfdir}/php.d/zarafa.ini
%config(noreplace) %{_sysconfdir}/zarafa/php-mapi.cfg
%{_datadir}/php/mapi/
%{_libdir}/php/modules/mapi.so

%changelog
* Tue Nov 10 2015 Robert Scheck <robert@fedoraproject.org> 7.1.14-1
- Upgrade to 7.1.14 (#1263006)

* Wed Aug 05 2015 Robert Scheck <robert@fedoraproject.org> 7.1.13-1
- Upgrade to 7.1.13
- Added patch to fix a possible XSS situation in WebAccess
- Added patch to avoid non-working default font in WebAccess
- Added patch to implement DHE/EDH support (aside of ECDHE)

* Wed Jul 01 2015 Robert Scheck <robert@fedoraproject.org> 7.1.12-3
- Added patch to build using GCC 5.x

* Mon May 18 2015 Robert Scheck <robert@fedoraproject.org> 7.1.12-2
- Upgrade to 7.1.12 (re-released)
- Backported patch from Zarafa 7.2 to fix CVE-2015-3436 (#1222151)

* Tue Apr 07 2015 Robert Scheck <robert@fedoraproject.org> 7.1.12-1
- Upgrade to 7.1.12
- Added multiple minor enhancement and bugfix patches
- Added patch to fix CVE-2014-0103 for PHP < 5.3 (#1073618)
- Handle "su" option in logrotate >= 3.8.0 to avoid errors

* Sat Oct 25 2014 Kevin Kofler <Kevin@tigcc.ticalc.org> 7.1.11-2
- Rebuild for reference-counting-enabled clucene09

* Wed Oct 15 2014 Robert Scheck <robert@fedoraproject.org> 7.1.11-1
- Upgrade to 7.1.11 (#1139442)
- Removed bundled PHP PEAR files/libraries
- Added patch to allow mitigation of SSLv3/POODLE vulnerability
- Added patch to implement ECDHE support (depending on OpenSSL)
- Added patch to allow plaintext authentication from 127.0.0.1

* Tue Aug 26 2014 David Tardon <dtardon@redhat.com> - 7.1.10-5
- rebuild for ICU 53.1

* Mon Aug 25 2014 Robert Scheck <robert@fedoraproject.org> 7.1.10-4
- Fixed multiple incorrect default permissions (#1133439)

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.1.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jul 14 2014 Robert Scheck <robert@fedoraproject.org> 7.1.10-3
- Rebuild for gSOAP 2.8.17

* Fri Jul 11 2014 Robert Scheck <robert@fedoraproject.org> 7.1.10-2
- Added a workaround to really support MariaDB (#995870)
- Re-added a patch to allow building without zarafa-search

* Sun Jun 29 2014 Robert Scheck <robert@fedoraproject.org> 7.1.10-1
- Upgrade to 7.1.10

* Fri Jun 20 2014 Remi Collet <rcollet@redhat.com> - 7.1.9-2.1
- rebuild for https://fedoraproject.org/wiki/Changes/Php56
- add numerical prefix to extension configuration file

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.1.9-2.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 22 2014 Petr Machata <pmachata@redhat.com> - 7.1.9-2
- Rebuild for boost 1.55.0

* Thu May 01 2014 Robert Scheck <robert@fedoraproject.org> 7.1.9-1
- Upgrade to 7.1.9

* Fri Feb 21 2014 Robert Scheck <robert@fedoraproject.org> 7.1.8-3
- Upgrade to 7.1.8 (re-released)

* Fri Feb 14 2014 Parag Nemade <paragn AT fedoraproject DOT org> - 7.1.8-2
- Rebuild for icu 52

* Thu Jan 30 2014 Robert Scheck <robert@fedoraproject.org> 7.1.8-1
- Upgrade to 7.1.8 (#1056767, #1059903)

* Sun Dec 08 2013 Robert Scheck <robert@fedoraproject.org> 7.1.7-1
- Upgrade to 7.1.7 (#1008068)
- Added dependency from gateway and spooler to python-MAPI
- Added requirements to virtual libvmime ABI/API provides

* Mon Aug 05 2013 Robert Scheck <robert@fedoraproject.org> 7.1.5-1
- Upgrade to 7.1.5 (#747241, #863498, #926039, #946900)
- Added configuration compatibility for Apache 2.2 and 2.4

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 27 2013 Petr Machata <pmachata@redhat.com> - 7.1.4-2
- Rebuild for boost 1.54.0

* Sat May 25 2013 Rex Dieter <rdieter@fedoraproject.org> 7.1.4-2
- rebuild (libical)

* Sun Mar 24 2013 Robert Scheck <robert@fedoraproject.org> 7.1.4-1
- Upgrade to 7.1.4

* Fri Mar 22 2013 Remi Collet <rcollet@redhat.com> 7.0.13-2
- rebuild for http://fedoraproject.org/wiki/Features/Php55

* Sun Mar 03 2013 Robert Scheck <robert@fedoraproject.org> 7.0.13-1
- Upgrade to 7.0.13

* Sun Feb 10 2013 Robert Scheck <robert@fedoraproject.org> 7.0.12-1
- Upgrade to 7.0.12

* Sun Feb 10 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 7.0.9-3
- Rebuild for Boost-1.53.0

* Fri Feb 01 2013 Parag Nemade <paragn AT fedoraproject DOT org> - 7.0.9-2
- Rebuild for icu 50

* Mon Aug 13 2012 Robert Scheck <robert@fedoraproject.org> 7.0.9-1
- Upgrade to 7.0.9 (#847534)

* Sun Aug 12 2012 Rex Dieter <rdieter@fedoraproject.org> 7.0.8-2
- rebuild (boost)

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.0.8-1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 19 2012 Robert Scheck <robert@fedoraproject.org> 7.0.8-1
- Upgrade to 7.0.8

* Wed May 09 2012 Robert Scheck <robert@fedoraproject.org> 7.0.7-1
- Upgrade to 7.0.7

* Sun Apr 22 2012 Robert Scheck <robert@fedoraproject.org> 7.0.6-1
- Upgrade to 7.0.6

* Sat Mar 10 2012 Robert Scheck <robert@fedoraproject.org> 7.0.5-1
- Upgrade to 7.0.5

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.0.4-2
- Rebuilt for c++ ABI breakage

* Thu Jan 19 2012 Remi Collet <remi@fedoraproject.org> - 7.0.4-2
- build against php 5.4.0
- fix so filters

* Fri Jan 13 2012 Robert Scheck <robert@fedoraproject.org> 7.0.4-1
- Upgrade to 7.0.4
- Added patch for rebuilding with PHP 5.4 (thanks to Remi Collet)
- Work around crashs by reducing open file descriptors (#760888)

* Sat Dec 17 2011 Robert Scheck <robert@fedoraproject.org> 7.0.3-2
- Enabled non-optional build of epoll socket handling (#760888)

* Sun Nov 20 2011 Robert Scheck <robert@fedoraproject.org> 7.0.3-1
- Upgrade to 7.0.3

* Sat Oct 01 2011 Robert Scheck <robert@fedoraproject.org> 7.0.2-1
- Upgrade to 7.0.2 (#717968)

* Sun Aug 14 2011 Robert Scheck <robert@fedoraproject.org> 7.0.1-1
- Upgrade to 7.0.1 (#725250, #725909, #727346)

* Mon Jun 27 2011 Robert Scheck <robert@fedoraproject.org> 7.0.0-1
- Upgrade to 7.0.0

* Tue Jun 14 2011 Robert Scheck <robert@fedoraproject.org> 6.40.9-1
- Upgrade to 6.40.9

* Sat May 28 2011 Robert Scheck <robert@fedoraproject.org> 6.40.8-1
- Upgrade to 6.40.8

* Wed Apr 06 2011 Robert Scheck <robert@fedoraproject.org> 6.40.7-1
- Upgrade to 6.40.7

* Thu Mar 24 2011 Robert Scheck <robert@fedoraproject.org> 6.40.6-2
- Rebuilt for mysql 5.5.10 (soname bump in libmysqlclient)

* Mon Mar 21 2011 Robert Scheck <robert@fedoraproject.org> 6.40.6-1
- Upgrade to 6.40.6

* Sun Feb 27 2011 Robert Scheck <robert@fedoraproject.org> 6.40.5-1
- Upgrade to 6.40.5

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.40.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Dec 12 2010 Robert Scheck <robert@fedoraproject.org> 6.40.4-1
- Upgrade to 6.40.4

* Fri Oct 29 2010 Robert Scheck <robert@fedoraproject.org> 6.40.3-1
- Upgrade to 6.40.3

* Tue Aug 31 2010 Robert Scheck <robert@fedoraproject.org> 6.40.2-1
- Upgrade to 6.40.2

* Mon Aug 09 2010 Robert Scheck <robert@fedoraproject.org> 6.40.1-1
- Upgrade to 6.40.1

* Tue Jun 15 2010 Robert Scheck <robert@fedoraproject.org> 6.40.0-3
- Rebuild for perl 5.12.1

* Fri Jun 11 2010 Robert Scheck <robert@fedoraproject.org> 6.40.0-2
- Added patch to ensure -pthread for -lclucene configure test

* Thu Jun 10 2010 Robert Scheck <robert@fedoraproject.org> 6.40.0-1
- Upgrade to 6.40.0 (#564135, #565252, #600993)

* Sat May 01 2010 Robert Scheck <robert@fedoraproject.org> 6.30.14-1
- Upgrade to 6.30.14

* Sun Apr 25 2010 Robert Scheck <robert@fedoraproject.org> 6.30.13-1
- Upgrade to 6.30.13
- Moved zarafa.schema file from %%doc to %%{_datadir}/%%{name}

* Sat Mar 20 2010 Robert Scheck <robert@fedoraproject.org> 6.30.12-1
- Upgrade to 6.30.12

* Fri Mar 19 2010 Robert Scheck <robert@fedoraproject.org> 6.30.11-1
- Upgrade to 6.30.11

* Tue Feb 23 2010 Robert Scheck <robert@fedoraproject.org> 6.30.10-2
- Backported a patch from trunk to avoid the crash of zarafa-server
  when creating new user with db or unix plugin (#564282, #567262)
- Backported another patch from trunk to avoid the crash of httpd
  caused by PHP mapi.so during the logon in the webaccess (#564129)

* Sat Feb 06 2010 Robert Scheck <robert@fedoraproject.org> 6.30.10-1
- Upgrade to 6.30.10 (#498194)
- Initial spec file for Fedora and Red Hat Enterprise Linux (thanks
  to Jeroen van Meeuwen, John van der Kamp and Steve Hardy)
